Repository 32bit  Forum
Repository 64bit  Wiki

[RISOLTO]ATI 10.6

Usate questo forum per richieste di aiuto e consigli sull'hardware montato nelle vostre macchine con GNU/Linux Slackware.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata e la versione del Kernel. Questi dati aiutano le persone che possono rispondere.
2) Citare il tipo di hardware coinvolto in modo dettagliato.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT. Non usare termini gergali come procio, mobo e simili per identificare i componenti hardware.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: [RISOLTO]ATI 10.6

Messaggioda targzeta » dom giu 20, 2010 12:44

Intanto grazie. Poi ti allego una patch da inserire nella directory /etc/ati/patch per far funzionare i driver. Ovviamente togli il suffisso ".patch"

Emanuele
Allegati
patch-8.741-2.6.34.patch
Patch ai driver 10.6
(359 Byte) Scaricato 28 volte
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà
Avatar utente
targzeta
Iper Master
Iper Master
 
Messaggi: 6185
Iscritto il: gio nov 03, 2005 14:05
Località: Carpignano Sal. (LE) <-> Pisa
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM

Re: [RISOLTO]ATI 10.6

Messaggioda odiusseus » dom giu 20, 2010 12:52

grandeeee =D> Compilano che è una meraviglia...ma già che ti trovi mi puoi spiegare perchè Aty Catalyst Control Center non si avvia quando clicco sull'icona del menù ma solo da riga di comando e da root?
odiusseus
Linux 2.4
Linux 2.4
 
Messaggi: 352
Iscritto il: sab giu 30, 2007 13:09
Località: roma/vibo valentia
Slackware: 13.0
Kernel: 2.6.32.2
Desktop: kde

Re: [RISOLTO]ATI 10.6

Messaggioda odiusseus » dom giu 20, 2010 12:53

spina ha scritto:Intanto grazie. Poi ti allego una patch da inserire nella directory /etc/ati/patch per far funzionare i driver. Ovviamente togli il suffisso ".patch"

Emanuele

pure?..sono io che devo ringraziare te!!!
odiusseus
Linux 2.4
Linux 2.4
 
Messaggi: 352
Iscritto il: sab giu 30, 2007 13:09
Località: roma/vibo valentia
Slackware: 13.0
Kernel: 2.6.32.2
Desktop: kde

Re: [RISOLTO]ATI 10.6

Messaggioda targzeta » dom giu 20, 2010 12:58

Molto probabilmente dipende da un link errato. Però purtroppo io non posso risolvere questo genere di errori, così come quelli della performace o altro. La mia scheda video non è più supportata dalla ATI e quindi non posso testare i driver. Io mi limito a far andare la compilazione del modulo per il resto è tutto standard. Ancora, non uso neanche DE e quindi non ho idea di come funzionino i link sui menù. Se riesci a capire cosa non va e mi spieghi cosa fare posso sempre modificare il builder per fare ciò che vogliamo. Ogni tanto arrivano suggerimenti, ma senza di quelli non posso fare niente.

Il problema della compilazione era dovuto al fatto che tu hai aggiunto una stringa locale alla versione del kernel che hai compilato, la stringa '-slack' e quindi la funzione non riconosceva il tuo kernel come un 2.6.34 ma come un 2.6.34-slack che generava l'errore. Anzi, mi dici se effettivamente tu hai inserito '-slack' oppure 'slack'?

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà
Avatar utente
targzeta
Iper Master
Iper Master
 
Messaggi: 6185
Iscritto il: gio nov 03, 2005 14:05
Località: Carpignano Sal. (LE) <-> Pisa
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM

Re: [RISOLTO]ATI 10.6

Messaggioda odiusseus » dom giu 20, 2010 13:04

ok..grazie vedrò quale è il problema. comunque io ho aggiunto -slack e non slack!!
odiusseus
Linux 2.4
Linux 2.4
 
Messaggi: 352
Iscritto il: sab giu 30, 2007 13:09
Località: roma/vibo valentia
Slackware: 13.0
Kernel: 2.6.32.2
Desktop: kde

Re: [RISOLTO]ATI 10.6

Messaggioda odiusseus » dom giu 20, 2010 13:10

risolto..era un problemi di permessi...solo root poteva eseguire amdcccle ed amdxdg-su quindi assegnando i permessi di esecuzione all'utente tutto va bene!!!
odiusseus
Linux 2.4
Linux 2.4
 
Messaggi: 352
Iscritto il: sab giu 30, 2007 13:09
Località: roma/vibo valentia
Slackware: 13.0
Kernel: 2.6.32.2
Desktop: kde

Re: [RISOLTO]ATI 10.6

Messaggioda targzeta » dom giu 20, 2010 17:13

Quindi ripeti un po', ci sono dei comandi che ha senso far eseguire all'utente normale e che ora hanno solo i permessi per root?

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà
Avatar utente
targzeta
Iper Master
Iper Master
 
Messaggi: 6185
Iscritto il: gio nov 03, 2005 14:05
Località: Carpignano Sal. (LE) <-> Pisa
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM

Re: [RISOLTO]ATI 10.6

Messaggioda odiusseus » dom giu 20, 2010 18:51

si amdcccle serve anche per fare il passaggio ad esempio al proiettore o ad un monitor, oppure estendere il monitor su un altro. Inoltre permette la correzione del colore. Comunque nulla di trascendentale. L'unica cosa è che è fastidioso avere un' icona e non poterla usare.
odiusseus
Linux 2.4
Linux 2.4
 
Messaggi: 352
Iscritto il: sab giu 30, 2007 13:09
Località: roma/vibo valentia
Slackware: 13.0
Kernel: 2.6.32.2
Desktop: kde

Re: [RISOLTO]ATI 10.6

Messaggioda odiusseus » dom giu 20, 2010 20:13

comunque ..è risolto egregiamente il problema della compilazione. L'unica cosa è che si è ripresentato il problema che avevo posto all'inizio. Non so perchè kde risponde così..con il kernel 2.6.33-4 non succedeva...non so, Mi sa che mi conviene aspettare un po' prima di usare questi i nuovi drivers 10.6 e quindi ritorno ai 10.5...almeno fino a quando non capisco che cosa succede!!!
odiusseus
Linux 2.4
Linux 2.4
 
Messaggi: 352
Iscritto il: sab giu 30, 2007 13:09
Località: roma/vibo valentia
Slackware: 13.0
Kernel: 2.6.32.2
Desktop: kde

Re: [RISOLTO+/-]ATI 10.6

Messaggioda odiusseus » lun giu 28, 2010 11:50

Salve ragazzi ho una domanda da porvi..non si riesce proprio a far funzionare questi drivers con Slackware. Ho provato con gnome e va molto meglio. Non è che le ati stanno avendo problemi con le librerie QT mentre non hanno problemi con le gtk?...magari la ati sta sviluppando molto i suoi drivers sulle gtk perchè molte distribuzioni "importanti" usano gnome..non so che pensare..sono sufficientemente afflitto
odiusseus
Linux 2.4
Linux 2.4
 
Messaggi: 352
Iscritto il: sab giu 30, 2007 13:09
Località: roma/vibo valentia
Slackware: 13.0
Kernel: 2.6.32.2
Desktop: kde

Re: [RISOLTO+/-]ATI 10.6

Messaggioda Amrod » lun giu 28, 2010 17:28

odiusseus ha scritto:Salve ragazzi ho una domanda da porvi..non si riesce proprio a far funzionare questi drivers con Slackware. Ho provato con gnome e va molto meglio. Non è che le ati stanno avendo problemi con le librerie QT mentre non hanno problemi con le gtk?...magari la ati sta sviluppando molto i suoi drivers sulle gtk perchè molte distribuzioni "importanti" usano gnome..non so che pensare..sono sufficientemente afflitto


mmmh....anch'io non uso kde e sotto enlightenment non mi danno noie i 10.6,
a parte qualche intoppo col composite manager di E17 ma non credo siano i driver
in questo caso.
kde e qt che versione usi? sei aggiornato alla 13.1 o usi ancora la 13? magari e'
policykit che da noie
Amrod
Linux 1.0
Linux 1.0
 
Messaggi: 91
Iscritto il: sab dic 09, 2006 19:03
Località: Cantu' -Co-
Slackware: x86_64 current
Desktop: Openbox

Re: [RISOLTO]ATI 10.6

Messaggioda odiusseus » lun giu 28, 2010 21:25

ciao..sono con Slackware 13.1 ed ho provato sia con kde4.4.3 che con il 4.4.4 ed ottengo sempre lo stesso problema...e che vuol dire che :
magari e'
policykit che da noie

come posso disabilitarlo per provare?
odiusseus
Linux 2.4
Linux 2.4
 
Messaggi: 352
Iscritto il: sab giu 30, 2007 13:09
Località: roma/vibo valentia
Slackware: 13.0
Kernel: 2.6.32.2
Desktop: kde

Re: [RISOLTO]ATI 10.6

Messaggioda Amrod » mar giu 29, 2010 18:29

Non l'ho installato quindi non ho la piu' pallida idea di come si faccia,
andando a naso credo che si possa disabilitare con pkgtools. Pero'
meglio che ti risponda qualcuno che usa kde, visto che policykit e'
necessario per far andare kde temo che non funzioni piu' alcunche'
Amrod
Linux 1.0
Linux 1.0
 
Messaggi: 91
Iscritto il: sab dic 09, 2006 19:03
Località: Cantu' -Co-
Slackware: x86_64 current
Desktop: Openbox

Precedente

Torna a Hardware

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite

cron